interface DeleteModalProps {
  onConfirm: () => void;
  onCancel: () => void;
}

export function ArticleDeleteModal({ onConfirm, onCancel }: DeleteModalProps) {
  return (
      <div className="fixed inset-0 bg-gray-500 bg-opacity-75 flex items-center justify-center p-4">
        <div className="bg-white rounded-lg max-w-md w-full p-6">
          <h3 className="text-lg font-medium text-gray-900 mb-4">Удалить статью</h3>
          <p className="text-sm text-gray-500 mb-6">Вы уверены? Это действие нельзя отменить.</p>
          <div className="flex justify-end gap-4">
            <button
                onClick={onCancel}
                className="px-4 py-2 border border-gray-300 rounded-md shadow-sm text-sm font-medium text-gray-700 bg-white hover:bg-gray-50"
            >
              Отмена
            </button>
            <button
                onClick={onConfirm}
                className="px-4 py-2 border border-transparent rounded-md shadow-sm text-sm font-medium text-white bg-red-600 hover:bg-red-700"
            >
              Удалить
            </button>
          </div>
        </div>
      </div>
  );
}