import React from 'react';

interface ConfirmDeleteModalProps {
  isOpen: boolean;
  onConfirm: () => void;
  onCancel: () => void;
}

const ConfirmDeleteModal: React.FC<ConfirmDeleteModalProps> = ({ isOpen, onConfirm, onCancel }) => {
  if (!isOpen) return null;

  return (
      <div className="fixed inset-0 bg-black bg-opacity-40 flex items-center justify-center z-50">
        <div className="bg-white rounded-lg shadow p-6 w-80 text-center space-y-4">
          <h2 className="text-lg font-bold">Удалить изображение?</h2>
          <p className="text-gray-600 text-sm">Вы уверены, что хотите удалить это изображение?</p>
          <div className="flex justify-center space-x-4 mt-4">
            <button
                onClick={onConfirm}
                className="bg-red-500 text-white px-4 py-2 rounded hover:bg-red-600"
            >
              Да, удалить
            </button>
            <button
                onClick={onCancel}
                className="bg-gray-300 text-gray-700 px-4 py-2 rounded hover:bg-gray-400"
            >
              Отмена
            </button>
          </div>
        </div>
      </div>
  );
};

export default ConfirmDeleteModal;
